Bug 675947

Summary: Review Request: sanlock - a shared disk lock manager
Product: [Fedora] Fedora Reporter: Angus Salkeld <asalkeld>
Component: Package ReviewAssignee: Ian Weller <ian>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: ajia, fedora-package-review, ian, notting, sdake
Target Milestone: ---Flags: ian: fedora‑review+
tibbs: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-16 04:50:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Angus Salkeld 2011-02-08 06:57:11 EST
Spec URL: http://asalkeld.fedorapeople.org/sanlock.spec
SRPM URL: http://asalkeld.fedorapeople.org/sanlock-1.0-2.fc14.src.rpm

Description: sanlock uses disk paxos to manage leases on shared storage.
Hosts connected to a common SAN can use this to synchronize their
access to the shared disks.

Other Reviews in progress:
https://bugzilla.redhat.com/show_bug.cgi?id=668243


koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2782824

rpmlint -v ./sanlock.spec 
./sanlock.spec: I: checking-url https://fedorahosted.org/releases/s/a/sanlock/sanlock-1.0.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Ian Weller 2011-02-11 15:14:12 EST
I'll review this as part of your sponsorship.
Comment 2 Ian Weller 2011-02-14 14:16:30 EST
[  OK  ] specfiles match:
  f6902a4139db4e1d30740877364ada965272ee14  sanlock.spec
  f6902a4139db4e1d30740877364ada965272ee14  sanlock.spec.1
[  OK  ] source files match upstream:
  4bdf9face8b0e477df38ead65204940299d79767  sanlock-1.0.tar.gz
  4bdf9face8b0e477df38ead65204940299d79767  sanlock-1.0.tar.gz.1
[  OK  ] package meets naming and versioning guidelines.
[FAILED] spec is properly named, cleanly written, and uses macros consistently.
https://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
  Please use %{optflags} and %{buildroot} or $RPM_OPT_FLAGS and
  $RPM_BUILD_ROOT, not both.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
  (although, I can't really tell whether it's GPLv2 or GPLv2+, because there's
  no definition of that at the top of the code files. if you are upstream, and
  I assume you are, I would fix this)
[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present.
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  OK  ] debuginfo package looks complete.
[  OK  ] rpmlint is silent.
  There are three ignorable warnings (2 spelling-error and 1
  no-manual-page-for-binary)
[  OK  ] final provides and requires are sane
[  N/A ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates.
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  OK  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers outside -devel.
[  OK  ] no pkgconfig files outside -devel.
[  OK  ] no libtool .la droppings.
[  N/A ] desktop files valid and installed properly.

The only failure in this package is general cleanliness in the specfile, which I assume you can fix when you do the initial import on the VCS.

-----------------------------------------------
 This package sanlock is approved by ianweller
-----------------------------------------------

Congratulations, I am willing to sponsor you! You should receive an email shortly from FAS that states you are now in the packager group. After this, continue with the new packager process ("Join the package collection maintainers" on the wiki) to get your packages in Fedora.

----

Sponsorship info:
- 3 reviews approved: bug 675947, bug 676187, bug 668243
Comment 3 Angus Salkeld 2011-02-14 15:28:23 EST
Thank you Ian, I appreciate it.
Comment 4 Angus Salkeld 2011-02-14 17:19:46 EST
New Package SCM Request
=======================
Package Name: sanlock
Short Description: sanlock uses disk paxos to manage leases on shared storage.
Owners: asalkeld cfeist
Branches: f15
InitialCC:
Comment 5 Jason Tibbitts 2011-02-15 14:25:14 EST
Git done (by process-git-requests).